Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.treeframe
Class TreeEditlInputListener

    java.lang.Object
      java.awt.event.MouseAdapter
          info.bioinfweb.treegraph.gui.treeframe.TreeEditlInputListener

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, EventListener

     class TreeEditlInputListener

extends MouseAdapter
implements MouseListener, KeyListener, MouseWheelListener

This listener implements the reactions to user inputs for editing the tree in a tree window.

Author:
  Ben Stöver

Field Summary
`protected TreeViewPanel` | `owner`
`static float` | `ZOOM_PER_CLICK`

Constructor Summary
`private` | `TreeEditlInputListener()`
`` | `TreeEditlInputListener(TreeViewPanel owner)`

Method Summary
`private void` | `checkPopup(MouseEvent e, ConcretePaintableElement selected)`
`protected void` | `doubleClick(MouseEvent e, ConcretePaintableElement element)`
`private ConcretePaintableElement` | `getElementByPosition(MouseEvent e)`
`void` | `keyPressed(KeyEvent e)`
`void` | `keyReleased(KeyEvent e)`
`void` | `keyTyped(KeyEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `mouseWheelMoved(MouseWheelEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Field Detail

### ZOOM_PER_CLICK

    public static final float ZOOM_PER_CLICK

See Also:
  Constant Field Values

### owner

    protected TreeViewPanel owner

Constructor Detail

### TreeEditlInputListener

    private TreeEditlInputListener()

### TreeEditlInputListener

    public TreeEditlInputListener(TreeViewPanel owner)

Method Detail

### getElementByPosition

    private ConcretePaintableElement getElementByPosition(MouseEvent e)

### doubleClick

    protected void doubleClick(MouseEvent e,
                               ConcretePaintableElement element)

### checkPopup

    private void checkPopup(MouseEvent e,
                            ConcretePaintableElement selected)

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Specified by:
    `keyReleased` in interface `KeyListener`

### keyTyped

    public void keyTyped(KeyEvent e)

  Specified by:
    `keyTyped` in interface `KeyListener`

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`
  Overrides:
    `mouseWheelMoved` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD